/*
 * bltMacOSXDraw.c --
 */

#include <bltInt.h>
#include <X11/Xutil.h>
#include <X11/Xlib.h>

Status Blt_XAllocColorCells(Display *display, Colormap colormap, 
				   Bool contig, 
				   unsigned long plane_masks_return, 
				   unsigned int nplanes, 
				   unsigned long pixels_return, 
				   unsigned int npixels)
{
  return 0;
}

Window Blt_XCreateWindow(Display *display, Window parent, 
			 int x, int y,
			 unsigned int width, unsigned int height,
			 unsigned int border_width, int depth,
			 unsigned int class, Visual *visual,
			 unsigned long valuemask,
			 XSetWindowAttributes *attributes)
{
  return NULL;
}

void Blt_XDeleteProperty(Display *display, Window w, Atom property)
{
}

void Blt_XDrawArcs(Display *display, Drawable drawable, GC gc,
		   XArc *arcArr, int nArcs)
{
  int ii;
  for (ii=0; ii<nArcs; ii++) {
    XArc *ptr = &arcArr[ii];
    XDrawArc(display, drawable, gc, ptr->x, ptr->y, 
	     ptr->width, ptr->height, ptr->angle1, ptr->angle2);
  }
}

void Blt_XDrawPoints(Display *display, Drawable drawable, GC gc,
		     XPoint *pointArr, int nPoints, int mode)
{
}

void Blt_XDrawRectangles(Display *display, Drawable drawable,
			 GC gc, XRectangle *rectArr, int nRects)
{
  int ii;
  for (ii=0; ii<nRects; ii++) {
    XRectangle *ptr = &rectArr[ii];
    XDrawRectangle(display, drawable, gc, 
		   ptr->x, ptr->y, ptr->width, ptr->height);
  }
}

void Blt_XDrawString(Display* display, Drawable drawable, GC gc, 
			int x, int y, _Xconst char* str, int length)
{
  Tk_DrawChars(display, drawable, gc, NULL, str, length, x, y);
}

Status Blt_XGetCommand(Display *display, Window w, char ***argv_return, 
		       int *argc_return)
{
  return 0;
}

Bool Blt_XGetFontProperty(XFontStruct *font_struct, Atom atom,
			  unsigned long *value_return)
{
  return 0;
}

char *Blt_XFetchBuffer(Display *display, int *nbytes_return, int buffer)
{
  return NULL;
}

Status Blt_XFetchName(Display *display, Window w, char **window_name_return)
{
  return 0;
}

void Blt_XFillArcs(Display *display, Drawable drawable, GC gc,
		   XArc *arcArr, int nArcs)
{
  int ii;
  for (ii=0; ii<nArcs; ii++) {
    XArc *ptr = &arcArr[ii];
    XFillArc(display, drawable, gc, ptr->x, ptr->y, 
	     ptr->width, ptr->height, ptr->angle1, ptr->angle2);
  }
}

void Blt_XFreeFont(Display *display,  XFontStruct *font_struct)
{
}

void Blt_XFreePixmap(Display* display, Pixmap pixmap)
{
  Tk_FreePixmap(display, pixmap);
}

void XFreeStringList(char **list)
{
}

Status Blt_XGetWindowAttributes(Display *display, Window window,
				XWindowAttributes * attrsPtr)
{
  return 0;
}

void Blt_XLowerWindow(Display *display, Window window)
{
}

XFontStruct *Blt_XLoadQueryFont(Display *display, char *name)
{
  return NULL;
}

long Blt_XMaxRequestSize(Display *display)
{
    return (SHRT_MAX / 4);
}

void Blt_XPutImage(Display *display, Drawable d, GC gc,XImage *image,
		   int src_x, int src_y, int dest_x, int dest_y,
		   unsigned int width, unsigned int height)
{
  TkPutImage(NULL, 0, display, d, gc, image, src_x, src_y, dest_x, dest_y, 
	     width, height);
}

void Blt_XRaiseWindow(Display *display, Window window)
{
}

void Blt_XReparentWindow(Display *display, Window window,
			 Window parent, int x, int y)
{
}

void Blt_XRotateBuffers(Display *display, int rotate)
{
}

void Blt_XStoreBuffer(Display *display, char *bytes, int nbytes, int buffer)
{
}

Bool Blt_XTranslateCoordinates(Display *display, Window src_w, 
			       Window dest_w, int src_x, int src_y,
			       int *dest_x_return, int *dest_y_return,
			       Window *child_return)
{
  return 0;
}

void Blt_XWarpPointer(Display *display, Window srcWindow,
			     Window destWindow, int srcX, int srcY, 
			     unsigned int srcWidth,
			     unsigned int srcHeight, int destX, int destY)
{
}



